에러 코드 -209852 : NI-DAQmx API에서 해당 디바이스가 더 이상 지원하지 않음

업데이트 됨 Nov 25, 2019

해당 제품

하드웨어

  • cDAQ-9172
  • ENET-9163
  • WLS-9163
  • NI-9233

소프트웨어

  • Measurement & Automation Explorer (MAX)

운전사

  • NI-DAQmx
  • NI-DAQmx 17.6

문의사항

컴퓨터에 cDAQ-9172, NI ENET-9163, NI WLS-9163 또는 NI 9233이 연결되어 있습니다. NI Measurement and Automation Explorer (MAX)는 디바이스가 더 이상 지원되지 않음을 보여줍니다.

 

Status Code: -209852

The specified device is no longer supported within the NI DAQmx API.

Visit ni.com/info and enter the Info Code: Cseriesdoc

 

해결책

  1. 설치되어 있는 최신 NI-DAQmx 드라이버를 제거하십시오.
  2. NI-DAQmx 17.5 드라이버를 설치하십시오.

추가 정보

설치 된 DAQmx 드라이버를 확인하는 방법은 이 기술문서 를 참고하세요.
 
NI-DAQmx Readme에는 각 버전마다 디바이스와의 호환 여부가 포함되어 있습니다. NI Manuals에서 NI-DAQmx Readme를 찾을 수 있으며, 나머지는 NI-DAQmx Download 페이지를 통해 액세스 할 수 있습니다. Readme를 찾는 방법 및 확인 가능 정보는 이 기술문서를 참고하십시오. OS 지원, 어플리케이션 개발 환경 (ADE) 지원, 알려진 문제 및 버그 수정에 대한 정보 등을 Readme에서 찾을 수 있습니다.

17.6 버전의 NI-DAQmx 드라이버가 더 이상 지원하지 않는 제품에 대한 세부 사항은 NI-DAQmx 17.6 및 이후 버전에서 더이상 지원되지 않는 디바이스 및 모듈 문서를 검토하십시오.

이 메시지가 표시되고 제품이이 목록에없는 경우 다음 문서를 검토하십시오. cDAQ Module Shows Up as Unsupported Module in NI MAX